Cheque Magic

ABOUT US

Cheque Easy Software

Copyright © 2012 - 2020 Tamimisoft- Software Development Company in saudi Arabia.

Our Website : www.tamimisoft.com

E-mail: info@tamimisoft.com

Warning: This computer program is protected by copyright law. unlawful copying or supply of this program, or any portion of it, may result in severe civil and criminal penalties, and will be prosecuted to the maximum level possible under the law.


Create Account

Click on Account-->Create Account
'Create Account ' is used for creating a company account. you can edit or delete account details. You can search for an account by bank name or account number.
The user will need to fill the information as the screen shot below:

* Select bank:- Click combobox to select a bank
* Select account type :- Click combobox to select account type
* Account Holder :- Input account holde
* Account Number :- Input account number
* Current balance :- Input current balance

You can do the following functions :

Add new account:
* Enter all basic information's like bank,account type,account holder,account number,and current balance in to the desired filed.
* Click Save boutton to create a new account.

Edit detials of selected account:
* Select a row for update the account details.
*Click Update button to update the details.

Delete the existing account
*Select a row for delete the existing account.
*Click Delete button to delete the account.
*Click confirm message for delete the account.

View all existing account
*All created account details can be listed on account gridview.

Search deatils of account
*Type the details we want to search in the search field.


Account Transaction

Click on Account --->Account Transaction
'Account Transaction ' contains transaction details like Bank, Account Number,Transaction Type, Date, and Amount . You can save details manually or it can be imported through the excel sheet. The mapping field name should be the main header name of the excel sheet.The account transaction details can be searched by using Account Number, Bank Name, and Date.
The user will need to fill the information as the screen shot below:

Select bank.:- Click combobox to select bank.
Select account number:- Click combobox to select account number.
Select transaction type:- Click combobox to select transaction type.
Select date:- Click comboboxto select the cheque date from "Calender".
amount:Input amount

You can do the following functions:
Add new account transaction:
* Enter all basic information's like bank,account number,transaction type,date,amount in to the desired filed.
* Click Save boutton to create a new account transaction.

Edit detials of selected account transaction:
* Select a row for update the account transaction details.
*Click Update button to update the details.

Delete the existing account transaction
*Select a row for delete the existing account transaction.
*Click Delete button to delete the account transaction.
*Click confirm message for delete the account.

View all existing account transactiont
*All created account transaction details can be listed on gridview.

Search deatils of account
*Type the details we want to search in the search field.

Excel sheet format:

Browse the file :-Click the combobox to select the file path.
Select excel sheet:-Click the combobox to select the excel sheet.

Select Mapfield Details:-

Select date:-Click the combobox to select the cheque date from "Calender".
Select deposite:-Click the combobox to select the deposite.
Select withdrow:-Click the combobox to select the withdrow.

Select Account Details:-

Select bank:-Click the combobox to select the bank.
Select account number:-Click the combobox to select the account number.


Add Printer

Click on Printer-->Add Printer
Finding out the printers installed on your system is no more a headache. The Add Printer form displays all the printers installed in your computer.You can also set default printer. The default printer set will be used for printing. Choose printers from the lsit of availble printers installed on your system and save for future reference.


Authorised Signatory

Click on Company-->Authorized Signatory
'Authorised Signatory' is an optional form .Save the authorised person's signature stamp, which will be used as signature in cheques as well as on the covering letter.
The user will need to fill the information as the screen shot below:

Authorised signatory designation:-Input authorised signatory designation
Authorised signatory name:-Input authorised signatory name
Letter signatory designation:-Input letter signatory designation
Letter signatroy name:-Input letter signatroy name:

you can do the following functions:

Add new Signatory Stamp -

* you can add new Authorized signatory stamp and Letter signatory stamp.
*Click add like to add signatory image.
*Click remove link to remove the signatory image.
*Click print letter signatory stamp on covering letter
* Click Save button to create new signatory stamp.

Edit existing signatory stamp
*you can update all existing signatory stamp detiles
*Click update button to update the existing deatils.

Delete existing signatory stamp
*Click delete button for delete existing signatory stamp.


Create Bank

Click on Bank-->Create Bank
This is used for creating a new bank.You can edit details or delete an invalid entry.
The user will need to fill the information as the screen shot below:

Bank Code :- Input bank code .
Bank Name :- Input bank name .
Branch :- input branch

You can do the following functions:
Add new bank
*Enter bank basic informations like backcode,bank name,branch.
*Click Save button for create new bank.

Edit existing bank details
*Select the gridview row for update bank details.
*Click Update button for update existing bank details

View existing bank deatils
*Bank gridview lists all existing bank details.

Delete existing bank details
*Select the bank you want to delete .
*Click delete button for delete the invalid bank.
*Click confirm message for deletion.

Search bank details
*Type bank name of bank in search field.


Bank Wise Report

Click on Reports-->Bank wise report
The Bank wise report provides cheque issue information on selected bank. The report will run against the selected bank.
The user will need to fill the information as the screen shot below:

Select bank:-Click combobox to select the bank.
From date:-Click combobox to select the cheque from date from"Calender"
To date:-Click combobox to select the cheque to date from"Calender"

You can do the following function:
Show:-Dispaly the bank wise report.


Batch Print

Click on Print-->Batch Print

Preparing cheques to send dividents to your share holders is even more easier with Cheque Easy.
Cheque Easy has an adhoc functionlality which makes bulk cheque printing for various purposes easier. The user can select single cheque or multiple cheques in batch printing.
Select 'Prepare Cheque' from the main menu and choose your cheque book. Select the cheque you want print, enter details and save.
This cheque with details will be listed in the batch printing form. Repeat above steps for all the cheques you want to print. Click 'Print' and all selected cheques will be printed and complete reports will be available. You can also print payment Vouchers for all or selected cheques at will.

The user will need to fill the information as the screen shot below:

Select Bank :-Click combobox to select the bank
Select Account :-Click combobox to select the account.
Select Chequebook:-Click comboboxto select the chequebook.

You can do the following functions:
Print :- Print a sequence of cheque in batch.
Print Payement Voucher:-Print selected cheque Payemment Voucher.


Change Password

Click on User-->Change Password
The 'Change Password' form is used to change the login password.
The user will need to fill the information as the screen shot below:

Password:-Input password
New password:-Input new password
Retype new password:-Input retype password

You can do the following functions:

Change old password:-
*Enter user old password .
*Enter user new password .
*Retype user new password for confirmation.

Clear:-
*You can clear all input fields.


Design Layout

Click on Cheque Layout-->Design Layout
You need to provide a name for Design Layout.
Different cheque may have different date-format. You can set it in the "Date Format" field.To adjust "Date Format" space , you can use track bar.
You can select the template from template list or can Design.
You need to fill in the dimension of the cheque and the position / size of different components, includes A/C Payee Only, Date, Place of Issue, Payee, Bearer, Text Line 1, Text Line 2, Amount. To adjust the position, you can select the corresponding components and move componets to currect place.

Imported Cheque Layout Design:

Designed Cheque Template:


Cheque Status

Click on Print-->Cheque Status
The 'Cheque Status form' used to show the current status of a cheque.
The status are:
* Pending
* Issused
* Stoped
* Cancellled
The user will need to fill the information as the screen shot below:

Select bank :- Click combobox to select the bank.
Select Account :- Click combobox to select the account.

You can do the following functions:
View:-Click the combobox to view the cheque status.
Update:-Update the selected cheque status.


Chequebook List

Click Chequebook-->Chequebook List
The 'Chequebook List' lists the all created chequebooks.You can easly find the created chequebook.The form also contains the update and delete options.
The user will need to fill the information as the screen shot below:

Click on Chequebook-->Chequebook List

Select bank:-Click combobox to select bank.
Select Account:-Click combobox to select account.
Enter chequebook name:-Input chequebook name .

You can do the following functions:
Edit:-Edit the selected cheque from gridview
Delete:-Delete the selected cheque from gridview
Close:-Close the form.


Chequebook Request Letter

Click on Letters-->Chequebook Request Letter
Preparing a cheque book request letter is automated with cheque Easy. Cheque Easy provides a template for a chequebook request letter which you can use to pepare letter to send a request for additional chequebooks.


Chequebook Wise Report

Click on Reports-->Chequebook Wise Reports
The 'Chequebook Wise Reports' provides the cheque issue information on selected bank ,selected account and selected cheque book. The report will run against the selected details.
The user will need to fill the information as the screen shot below:

Select bank:-Click combobox to select the bank.
Select account:-Click combobox to select the account.
Select chequebook:-Click combobox to select the chequebook.
Select from date:-Click combobox to select the cheque from date from"Calender".
Select to date:-Click combobox to select the cheque to date from"Calender".
All bank:-Tick the box to select all bank.
All account:-Tick the box to select all account.

You can do the following function:
Show:-Dispaly the chequebook wise report.


Create Company

Click on Company-->Create Company
Create Company is used to create a new company database. When you create a company, a default user with all privileges will be created automatically. You can add your company logo if you want to.
The user will need to fill the information as the screen shot below.

Company Code :- Input company code
Company Name :- Input company name
Default Currency :- Click combobox to select the default currency.
Username :- Input desired user name
Password and Confirm Password:- Input desired password and confirm password

Set as default:Default Company will be loaded automatically at the time of loading software, no need of selecting company from the list.
Note: At a time only one default company exist in the system.

you can do the following functions:

Add new Company
*Enter the basic company informations like Comapny code,Comapny name,Default currency,Username,and Password.
*Click Save button to create new company.

Clear all input field
*Click the clear button to clear all input fields.


Covering Letter

Click on Letters-->Covering Letters
Occasionally, you may want to send a covering letter along with the cheque describing the purpose, amount and other details. This forms has a predefined covering letter format and the details gets populated automatically pulling data from the cheque you print.


Create Chequebook

Click on Chequebook-->Create chequebook
The Chequebook Creation form is used to create the chequebook. The form include the basic cheque book details like bank, account , number of cheque leafs , cheque leaf start number-end number, cheque leaf template ,
cheque entry setup ,prefix and suffix details etc. Through this form only the chequebook settings are updated,and the delete option delete the entire chequebook.
The user will need to fill the information as the screen shot below:

Select bank:- Click the combobox to select the bank.
Select Account:- Click the comboboxto select the account.
Enter chequebook name:- Input the chequebook name here.
Enter number of cheques:- Input the number of cheque leaves here.
Enter start number:- Input the start number of cheque.
Select template:- Click the combobox to select the template.

You can do the following functions:
Add new Chequebook
*Enter chequebook all basic informations.
*Click Save button to Save chequebook.

Edit existing chequebook
*Select the chequebook from gridview.
*Click the update button for change the existing deatils.

Delete existing chequebook
*Select the chequebook from griview.
*Click Delete button for delete the invalid chequebook.
*Click confirm message for deletion

View all existing chequebook
*All created chequebook details can be listed on chequebook gridview.

Search the existing chequebook
*Type the details we want to search in search field.


Create Employee

Click on User-->Create Employee
'Create Employee ' is used to create a new employee.You can deleted and updated the existing employee deatils.You can also seach the employee details by employee code,employee name and designation.
The user will need to fill the information as the screen shot below:

Employee code :- Input employee code
Employee name :- Input employee name
Designation :- Input employee designation

You can do the following functions:

Add new Employee
*Enter Employee all basic informations.
*Click Save button to Save Employee.

Edit existing employee
*Select the employee from gridview.
*Click the update button for change the existing deatils.

Delete existing employee
*Select the employee from griview.
*Click Delete button for delete the invalid employee.
*Click confirm message for deletion

View all existing employee
*All created aemployee details can be listed on employee gridview.

Search the existing employee
*Type the details we want to search in search field.


Create Expense

Click on Expense-->Manage Expense
Expense is used as a remark in the cheque. You can save the expense information in the list and can be recalled when preparing the cheque entry.The information can be updated or deleted.
You can also search expense by the expense name.
The user will need to fill the information as the screen shot below:

Enter expense name :-Input expense name

You can do the following functions:
Add new Expense
*Enter expense all basic informations.
*Click Save button to Save Expense.

Edit existing expense
*Select the expense from gridview.
*Click the update button for change the existing deatils.

Delete existing expense
*Select the expense from griview.
*Click Delete button for delete the invalid expense.
*Click confirm message for deletion

View all existing expense
*All created expense details can be listed on expense gridview.

Search the existing expense
*Type the details we want to search in search field.


Create User Account

Click on User-->User Account Creation
'Cheque Easy' provieds extensive support for securing your data. You can create users with varying privilges and roles. You are also privided with greate flexiblity in setting user privileges even to the very least details .You can also change login details or any other details of a user in future.
The user will need to fill the information as the screen shot below:

Username:-Input username
Password:-Input password
Retype password:-Input retype password.
Empolyee code:-Click combobox to select employee code
User type:-Click combobox to select user type

You can do the following functions :
Add new user account
*Enter user all basic informations.
*Click Save button to Save user account.

Edit existing user account
*Select user from gridview.
*Click the update button for change the existing user account deatils.

Delete existing user account
*Select user from griview.
*Click Delete button for delete the invalid user account.
*Click confirm message for deletion

Search the existing user account
*Type the details we want to search in search field.


Create User Type

Click on User-->Grand Rights-->Add New User Type
'Create User Type ' is used to create a new user type.You can update and delete the user type. you can also search the user type.
The user will need to fill the information as the screen shot below:

User type:-Input user type .

You can do the following functions:
Add new User Type
*Enter User Type all basic informations.
*Click Save button to Save User Type.

Edit existing User Type
*Select the User Type from gridview.
*Click the update button for change the existing deatils.

Delete existing User Type
*Select the User Type from griview.
*Click Delete button for delete the invalid User Type.
*Click confirm message for deletion

View all existing User Type
*All created User Type details can be listed on User Type gridview.

Search the existing User Type
*Type the details we want to search in search field.


Date Wise Report

Click on Report-->Date Wise Report
The Date Wise Report provides the cheque issues information on selected date. The report will run against the selected date.


Delete Company

Click on Company-->Delete Compnay

This is for deleting company database from system. Login window is displayed in order to provide maximum security. After checking the validity of user and asking confirmation the current database is deleted from system.


Edit Company

Click on Company-->Edit Compnay
The user will need to fill the information as the screen shot below:

This is for editing details of current company. Existing details of company are displayed which can be edited by user


Expense Wise Report

Click on Reports-->Expense Wise Report
The 'Expense Wise Report' provides selected Company Expense details on selected dates.
The user will need to fill the information as the screen shot below:

Select expense:-Click combobox to select expense.
From date:-Click combobox to select the cheque from date from"Calender"
To date:-Click combobox to select the cheque to date from"Calender"

You can do the following function:
Show:-Dispaly the expense wise report.


Layout List

Click on Cheque Layout-->Layout List
The 'Layout List' lists all cheque templates.The form also contains the Edit and delete options.

You can do the following functions:
Edit:-Edit the selected cheque template.
Delete:-Delete the selected cheque template.


Login

The 'Login form' is used to login cheque Easy.


Create Payee Account

Click on Payee-->Create Payee Account
'Create Payee Account' is used to create a payee account.Here we first select the already created Payee,Bank and Account Number.The created payee deatils can be updated and deleted.Here we can also search the payee details by payee name
The user will need to fill the information as the screen shot below:

Select payee :- Click combobox to select payee
Enter bank :- Input bank
Account number :-Input account number

you can do the following functions:

Add new payee account
*Enter all basic payee account deatils.
*Click Save button to create new payee account.

Edit existing payee account *Select row for update from gridview.
*Click update button for updateing deatils.

. View all existing payee account
*Gridview list all the created payee account.

Delete existing payee account
*User can delete the existing invalid payee account.
*Click delete button to delete payee account.
*Click Confirm message for deleting the existing payee account.


Create Payee

Click on Payee-->Payee Creation
A payee is a person in whose favour the cheque is drawn. Payee List provides storage for all payee information. User can easily manage the payee information and get the payee information into the cheque easily.
The user will need to fill the information as the screen shot below.

payee name:- A field for you to enter payee.
print name:- A field for you to enter print name.
payee address:- A field for you to enter payee contact address.
city:- A field for you to enter payee city.
State:- A field for you to enter payee state.
pincode:- A field for you to enter payee pincode.

You can do the following functions :
Add new Payee
*Enter Payee all basic informations.
*Click Save button for add new Payee.

Edit existing Payee
*Select the payee from gridview.
*Click the update button for change the existing payee deatils.

Delete existing payee
*Select the payee from griview.
*Click Delete button for delete the invalid payee.
*Click confirm message for deletion

Search the existing payee
*Type the details we want to search in search field.


Import Payee

Click on Payee-->Import Payee
The 'Import Payee' is used to improt the payee details through an excel sheet.The details like Payee Name,Print Name, Address, City,State and Pincode are imported. Here the mapping field name should be the main header name of the excel sheet.
The user will need to fill the information as the screen shot below:

Excel sheet format:

Browse the file :- Click combobox to browse file path.
Select excel sheet :- Click combobox to select excel sheet.
Select payee name :- Click combobox to select payee name.
Select print name :- Click combobox to select print name.
Select address :- Click combobox to select payee contact address.
Select city :- Click combobox to select payee city.
Select state :- Click combobox to select payee state.
Select pincode :- Click combobox to select payee pincode.

You can do the following functions:
Add new Payee :- You can Create a new payee.
Delete:- You can Delete selected payee.
Clear :- Clear all input fields.


Payee Wise Report

Click on Report-->Payee Wise Report
The 'Payee Wise Report' provides the cheque issue information on selected party. The report will run against the selected party.
The user will need to fill the information as the screen shot below:

Select payee:-Click combobox to select payee
Select from date:-Click calender to select from date.
Select to date:-Click calender to select to date
And click show button to dispaly the selected payee report.


Print Cheque

'Print Cheque' is used for printing the details like payee, amount, date, and expense on cheque.
The Print Cheque form contains the following options

Account payee only:- Tick the box if you want to make the cheque as "Crossed".
Not negotiable:- Tick the box if you want to make the cheque as "Not negotiable".
Bearer strike:- Tick the box if you want to make the cheque as "Bearer Cheque".
Payable at par:- Tick the box if you want to make the cheque as "Payable at par".
Not above:- Tick the box if you want to make the cheque as "Not above".
Print Payment Voucher:- Tick the box if you want to Print the "Payment Voucher".
Print Covering Letter:- Tick the box if you want to Print the "Covering Letter".
Before printt you must place cheque leaf in land scape
The user will need to fill the information as the screen shot below

Select payee:Click combobox to select the payee list.
Enter amount:-Input amount here.
Select date:-Date of the cheque.Click the "Calendar" to pick the date.
Select Expense:- A field for you to store some notes about this cheque

You can do the following functions:
Save Print Cheque
*Enter payee, amount, date, and expense on cheque.
*Click Save button for add new cheque entry
Print Preview
Make a preview before print.
Print
Print selected cheque.


Reprint

Click on Print-->Reprint
There are some situations like system power failure, damages in printed cheque leaves. in that situations we can reprint the saved cheque leaves. If we like to update the cheque leaves information we can do it.
We can also reprint the cheque leaves by search options.


Select Company

Click on Company-->Select Company
'Select Company ' lists all the created companies in a system.
You can choose a company from the available list,but before selecting the company you must enter a valid username and password,and after login you can update the details of company.


Stop Payment Letter

Click on Letters-->stop payment letter
This letter is used to stop payment and it will be send to the bank.


Grand Rights

Click on User-->Grand Rights
The Grand Right from is used to set the privilleges for newly created users,the rigths will be provided by the Administrator. Through this privillege the Admin created new users can also set their own privileges.
The form also contains the Add new user type link option for creating new user type.